<!DOCTYPE html>
<html class="writer-html5" lang="fr" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Calculatrice_Obfusc module &mdash; Documentation Kivy_Exercice v1.0.0</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script src="_static/doctools.js"></script>
        <script src="_static/translations.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Recherche" href="search.html" />
    <link rel="next" title="DetectClavier module" href="DetectClavier.html" />
    <link rel="prev" title="Calculatrice module" href="Calculatrice.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="index.html" class="icon icon-home"> Kivy_Exercice
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Rechercher docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">framework_kivy_1</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="BoxLayout.html">BoxLayout module</a></li>
<li class="toctree-l2"><a class="reference internal" href="BoxLayoutColorArrondi.html">BoxLayoutColorArrondi module</a></li>
<li class="toctree-l2"><a class="reference internal" href="Calculatrice.html">Calculatrice module</a></li>
<li class="toctree-l2 current"><a class="current reference internal" href="#">Calculatrice_Obfusc module</a></li>
<li class="toctree-l2"><a class="reference internal" href="DetectClavier.html">DetectClavier module</a></li>
<li class="toctree-l2"><a class="reference internal" href="ToDoList.html">ToDoList module</a></li>
<li class="toctree-l2"><a class="reference internal" href="color_text_Correction.html">color_text_Correction module</a></li>
<li class="toctree-l2"><a class="reference internal" href="main.html">main module</a></li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">Kivy_Exercice</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home"></a></li>
          <li class="breadcrumb-item"><a href="modules.html">framework_kivy_1</a></li>
      <li class="breadcrumb-item active">Calculatrice_Obfusc module</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/Calculatrice_Obfusc.rst.txt" rel="nofollow"> Afficher la source de la page</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="module-Calculatrice_Obfusc">
<span id="calculatrice-obfusc-module"></span><h1>Calculatrice_Obfusc module<a class="headerlink" href="#module-Calculatrice_Obfusc" title="Lien permanent vers cette rubrique"></a></h1>
<dl class="py class">
<dt class="sig sig-object py" id="Calculatrice_Obfusc.CalculatriceApp">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">Calculatrice_Obfusc.</span></span><span class="sig-name descname"><span class="pre">CalculatriceApp</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#Calculatrice_Obfusc.CalculatriceApp" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Bases : <code class="xref py py-class docutils literal notranslate"><span class="pre">App</span></code></p>
<p>Fonction qui construit l’interface de la calculatrice.mais obfucator</p>
<dl class="simple">
<dt>Returns:</dt><dd><p>GridLayout: La disposition principale de l’application.</p>
</dd>
</dl>
<dl class="py method">
<dt class="sig sig-object py" id="Calculatrice_Obfusc.CalculatriceApp.build">
<span class="sig-name descname"><span class="pre">build</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#Calculatrice_Obfusc.CalculatriceApp.build" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Initializes the application; it will be called only once.
If this method returns a widget (tree), it will be used as the root
widget and added to the window.</p>
<dl class="field-list simple">
<dt class="field-odd">Renvoie<span class="colon">:</span></dt>
<dd class="field-odd"><p>None or a root <code class="xref py py-class docutils literal notranslate"><span class="pre">Widget</span></code> instance
if no self.root exists.</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="Calculatrice_Obfusc.CalculatriceApp.on_button_press">
<span class="sig-name descname"><span class="pre">on_button_press</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">OOO0OO0O0OO0OO00O</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#Calculatrice_Obfusc.CalculatriceApp.on_button_press" title="Lien permanent vers cette définition"></a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="Calculatrice_Obfusc.CalculatriceApp.update_rect_pos">
<span class="sig-name descname"><span class="pre">update_rect_pos</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">O00O0OO0O0O0O0OO0</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">OOO0OOO000OO0O0OO</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#Calculatrice_Obfusc.CalculatriceApp.update_rect_pos" title="Lien permanent vers cette définition"></a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="Calculatrice_Obfusc.CalculatriceApp.update_rect_size">
<span class="sig-name descname"><span class="pre">update_rect_size</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">OOO0O00OOO000OO00</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">OOOO0O00O00OO0OO0</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#Calculatrice_Obfusc.CalculatriceApp.update_rect_size" title="Lien permanent vers cette définition"></a></dt>
<dd></dd></dl>

</dd></dl>

</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Pied de page">
        <a href="Calculatrice.html" class="btn btn-neutral float-left" title="Calculatrice module" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Précédent</a>
        <a href="DetectClavier.html" class="btn btn-neutral float-right" title="DetectClavier module" accesskey="n" rel="next">Suivant <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2023, Salaun.</p>
  </div>

  Compilé avec <a href="https://www.sphinx-doc.org/">Sphinx</a> en utilisant un
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">thème</a>
    fourni par <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>